## ace-dt completion

Generate completion script

### Synopsis


To load completions:

Bash:

$ source <(ace-dt completion bash)

# To load completions for each session, execute once:
Linux:
$ ace-dt completion bash > /etc/bash_completion.d/ace-dt
MacOS:
$ ace-dt completion bash > /usr/local/etc/bash_completion.d/ace-dt

Zsh:

# If shell completion is not already enabled in your environment you will need
# to enable it.  You can execute the following once:

$ echo "autoload -U compinit; compinit" >> ~/.zshrc

# To load completions for each session, execute once:
$ ace-dt completion zsh > "${fpath[1]}/_ace-dt"

# You will need to start a new shell for this setup to take effect.

Fish:

$ ace-dt completion fish | source

# To load completions for each session, execute once:
$ ace-dt completion fish > ~/.config/fish/completions/ace-dt.fish


```
ace-dt completion [bash|zsh|fish|powershell]
```

### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --config stringArray         configuration file location (setable with env "ACE_DT_CONFIG").
                                   The first configuration file present is used.  Others are ignored.
                                    (default [ace-dt-config.yaml,HOMEDIR/.config/ace/dt/config.yaml,/etc/ace/dt/config.yaml])
  -v, --verbosity strings[=warn]   Logging verbosity level (also setable with environment variable ACE_DT_VERBOSITY)
                                   Aliases: error=0, warn=4, info=8, debug=12 (default [error])
```

### SEE ALSO

* [ace-dt](ace-dt.md)	 - data management tool for bottles and artifacts

